package cheddar.aadl;

/*
 * Here is the list of AADL properties for Cheddar related to Multicore
 * analysis
 */

public class Cheddar_Multicore_Properties {

	public static final String _NAME = "Cheddar_Multicore_Properties";

	/* Memory properties */
	public static final String Private_Access_Latency = "Private_Access_Latency";
	public static final String Shared_Access_Latency = "Shared_Access_Latency";

	/* Cache properties */
	public static final String Cache_Level = "Cache_Level";
	public static final String Cache_Size = "Cache_Size";
	public static final String Associativity = "Associativity";
	public static final String Cache_Type = "Cache_Type";
	public static final String Address_Space_Type = "Address_Space_Type";
	public static final String Line_Size = "Line_Size";
	public static final String Associativity_Type = "Associativity_Type";
	public static final String Block_Reload_Time = "Block_Reload_Time";
	public static final String Replacement_Policy_Type = "Replacement_Policy_Type";
	public static final String Coherence_Protocol_Type = "Coherence_Protocol_Type";
	public static final String Write_Policy_Type = "Write_Policy_Type";
	public static final String Text_Memory_Start_Address = "Text_Memory_Start_Address";
	public static final String Migrations_Type = "Migrations_Type";
	public static final String Processors_Type = "Processors_Type";

}
